> ## Documentation Index
> Fetch the complete documentation index at: https://statsig-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Pulse Results (Beta)



## OpenAPI

````yaml api-reference/statsig_openapi.json get /console/v1/gates/{id}/rules/{ruleID}/pulse_results
openapi: 3.0.0
info:
  title: Console API
  description: >-
    The "Console API" is the CRUD API for performing the actions offered on
    console.statsig.com without needing to go through the web UI.

    If you have any feature requests, drop on in to our [slack
    channel](https://www.statsig.com/slack) and let us know.

    <br /><br />

    <b>Authorization</b>

    <br />

    All requests must include the **STATSIG-API-KEY** field in the header. The
    value should be a **Console API Key** which can be created in the Project
    Settings on
    [console.statsig.com/api_keys](https://console.statsig.com/api_keys)

    <br /><br />

    <b>Rate Limiting</b>

    <br />

    Requests to the Console API are limited to <code>~ 100reqs / 10secs and ~
    900reqs / 15 mins</code>.

    <br /><br />

    <b>Keyboard Search</b>

    <br />

    Use <code>Ctrl/Cmd + K</code> to search for specific endpoints.
  version: 20240601.0.0
  contact: {}
servers:
  - url: https://statsigapi.net
security: []
tags: []
paths:
  /console/v1/gates/{id}/rules/{ruleID}/pulse_results:
    get:
      tags:
        - Gates
      summary: Retrieve Pulse Results (Beta)
      parameters:
        - name: id
          required: true
          in: path
          description: Gate ID
          schema:
            type: string
        - name: ruleID
          required: true
          in: path
          description: Rule ID
          schema:
            type: string
        - name: cuped
          required: false
          in: query
          description: Whether to apply CUPED. Allowed values are "true" or "false".
          schema:
            type: string
        - name: confidence
          required: false
          in: query
          description: Confidence interval (0-100)
          schema:
            type: string
        - name: x-respect-review-settings
          in: header
          description: Optional header to respect review settings for mutation endpoints.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Get Pulse Results Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SingleDataResponse'
                  - properties:
                      data:
                        $ref: '#/components/schemas/GatePulseResultsDto'
                example:
                  message: Experiments listed successfully.
                  data:
                    id: a_experiment
                    description: ''
                    lastModifiedTime: 1707427635442
                    lastModifierEmail: null
                    createdTime: 1707427634717
                    creatorName: CONSOLE API
                    lastModifierName: CONSOLE API
                    lastModifierID: 4FKF0sUbi1D7xZFW5vcHWB
                    idType: userID
                    status: setup
                    launchedGroupID: null
                    layerID: statsig::a_experiment_layer
                    hypothesis: ''
                    primaryMetrics: []
                    primaryMetricTags: []
                    secondaryMetrics: []
                    secondaryMetricTags: []
                    startTime: null
                    endTime: null
                    decisionTime: null
                    groups:
                      - name: Control
                        id: 4HbgLdfqlIeN3sHkyMG1qC
                        size: 50
                        parameterValues: {}
                      - name: Test
                        size: 50
                        parameterValues: {}
                    allocation: 100
                    duration: 14
                    targetingGateID: ''
                    defaultConfidenceInterval: '95'
                    bonferroniCorrection: false
                    tags:
                      - '* Core'
                    decisionReason: ''
                    owner:
                      ownerType: USER
                      ownerName: Test User
                    healthCheckStatus: PASSED
                    inlineTargetingRulesJSON: '{}'
              example:
                message: Experiments listed successfully.
                data:
                  id: a_experiment
                  description: ''
                  lastModifiedTime: 1707427635442
                  lastModifierEmail: null
                  createdTime: 1707427634717
                  creatorName: CONSOLE API
                  lastModifierName: CONSOLE API
                  lastModifierID: 4FKF0sUbi1D7xZFW5vcHWB
                  idType: userID
                  status: setup
                  launchedGroupID: null
                  layerID: statsig::a_experiment_layer
                  hypothesis: ''
                  primaryMetrics: []
                  primaryMetricTags: []
                  secondaryMetrics: []
                  secondaryMetricTags: []
                  startTime: null
                  endTime: null
                  decisionTime: null
                  groups:
                    - name: Control
                      id: 4HbgLdfqlIeN3sHkyMG1qC
                      size: 50
                      parameterValues: {}
                    - name: Test
                      size: 50
                      parameterValues: {}
                  allocation: 100
                  duration: 14
                  targetingGateID: ''
                  defaultConfidenceInterval: '95'
                  bonferroniCorrection: false
                  tags:
                    - '* Core'
                  decisionReason: ''
                  owner:
                    ownerType: USER
                    ownerName: Test User
                  healthCheckStatus: PASSED
                  inlineTargetingRulesJSON: '{}'
      security:
        - STATSIG-API-KEY: []
components:
  schemas:
    SingleDataResponse:
      type: object
      properties:
        message:
          type: string
          description: A simple string explaining the result of the operation.
        data:
          type: object
          description: A single result.
      required:
        - message
        - data
    GatePulseResultsDto:
      type: object
      properties:
        ds:
          type: string
        monitoringMetrics:
          type: array
          items:
            type: object
            properties:
              metricID:
                type: string
              directionality:
                type: string
                enum:
                  - increase
                  - decrease
                description: >-
                  Indicates the desired change direction for the metric. Use
                  "increase" for positive changes and "decrease" for negative
                  changes.
                example: increase
              absoluteChange:
                type: number
              absoluteConfidenceIntervalDelta:
                type: number
              percentChange:
                type: number
              sequentialTestingConfidenceIntervalDelta:
                type: number
              percentConfidenceIntervalDelta:
                type: number
              percentSequentialTestingConfidenceIntervalDelta:
                type: number
              testMean:
                type: number
              controlMean:
                type: number
              testStd:
                type: number
              controlStd:
                type: number
              testUnits:
                type: number
              controlUnits:
                type: number
              pValue:
                type: number
              absoluteToplineImpact:
                type: number
              absoluteToplineImpactDelta:
                type: number
              relativeToplineImpact:
                type: number
              relativeToplineImpactDelta:
                type: number
              projectedAbsoluteToplineImpact:
                type: number
              projectedAbsoluteToplineImpactDelta:
                type: number
              projectedRelativeToplineImpact:
                type: number
              projectedRelativeToplineImpactDelta:
                type: number
            required:
              - metricID
              - directionality
      required:
        - ds
        - monitoringMetrics
  securitySchemes:
    STATSIG-API-KEY:
      type: apiKey
      name: STATSIG-API-KEY
      in: header

````